> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Balance

> Query balance for a specific wallet.

Use the Prime SDK or CLI to test this endpoint by following the [quickstart](/prime/introduction/quickstart) guide and running with the following examples

<Tabs>
  <Tab title="Java">
    ```java theme={null}
    BalancesService balancesService = PrimeServiceFactory.createBalancesService(client);

    GetWalletBalanceRequest request = new GetWalletBalanceRequest.Builder()
        .portfolioId("PORTFOLIO_ID_HERE")
        .walletId("WALLET_ID_HERE")
        .build();

    GetWalletBalanceResponse response = balancesService.getWalletBalance(request);
    ```

    For more information, please visit the [Prime Java SDK](https://github.com/coinbase-samples/prime-sdk-java).
  </Tab>

  <Tab title=".NET">
    ```csharp wrap theme={null}
    var balancesService = new BalancesService(client);

    var request = new GetWalletBalanceRequest("PORTFOLIO_ID_HERE", "WALLET_ID_HERE");
    var response = balancesService.GetWalletBalance(request);
    ```

    For more information, please visit the [Prime .NET SDK](https://github.com/coinbase-samples/prime-sdk-dotnet).
  </Tab>

  <Tab title="Go">
    ```go wrap theme={null}
    balancesService := balances.NewBalancesService(client)

    request := &balances.GetWalletBalance{
        PortfolioId: "PORTFOLIO_ID_HERE",
        WalletId: "WALLET_ID_HERE",
    }

    response, err := balancesService.GetWalletBalance(context.Background(), request)
    ```

    For more information, please visit the [Prime Go SDK](https://github.com/coinbase-samples/prime-sdk-go).
  </Tab>

  <Tab title="Python">
    ```python wrap theme={null}
    prime_client = PrimeClient(credentials)

    request = GetWalletBalanceRequest(
            portfolio_id="PORTFOLIO_ID_HERE",
            wallet_id="WALLET_ID_HERE",
    )

    response = prime_client.get_wallet_balance(request)
    ```

    For more information, please visit the [Prime Python SDK](https://github.com/coinbase-samples/prime-sdk-py).
  </Tab>

  <Tab title="CLI">
    ```bash wrap theme={null}
    primectl get-wallet-balance --help
    ```

    For more information, please visit the [Prime CLI](https://github.com/coinbase-samples/prime-cli).
  </Tab>

  <Tab title="TS/JS">
    ```typescript wrap theme={null}
    const balancesService = new BalancesService(client);

    balancesService.getWalletBalance({
        portfolioId: 'PORTFOLIO_ID_HERE',
        walletId: 'WALLET_ID_HERE'
    }).then(async (response) => {
        console.log('Balances: ', response);
    })
    ```

    For more information, please visit the [Prime TS SDK](https://github.com/coinbase-samples/prime-sdk-ts).
  </Tab>
</Tabs>


## OpenAPI

````yaml GET /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/balance
openapi: 3.0.1
info:
  title: REST API
  description: >-
    The Coinbase Prime REST API provides programmatic access to trading,
    custody, staking, market data, and account management functionality.
  version: '0.1'
servers:
  - url: https://api.prime.coinbase.com/
security: []
tags:
  - name: PrimeRESTAPI
paths:
  /v1/portfolios/{portfolio_id}/wallets/{wallet_id}/balance:
    get:
      tags:
        - Balances
      summary: Get Wallet Balance
      description: Query balance for a specific wallet.
      operationId: PrimeRESTAPI_GetWalletBalance
      parameters:
        - name: portfolio_id
          in: path
          description: Portfolio ID
          required: true
          schema:
            type: string
        - name: wallet_id
          in: path
          description: Wallet ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/coinbase.public_rest_api.GetWalletBalanceResponse
components:
  schemas:
    coinbase.public_rest_api.GetWalletBalanceResponse:
      type: object
      properties:
        balance:
          $ref: '#/components/schemas/coinbase.public_rest_api.Balance'
    coinbase.public_rest_api.Balance:
      type: object
      properties:
        symbol:
          type: string
          description: The display symbol for the asset
          example: BTC
        amount:
          type: string
          description: >-
            The total amount in whole units with full precision. Includes the
            `holds` amount.
          example: '109.42'
        holds:
          type: string
          description: >-
            Amount that is currently held in obligation to an open order's
            position or a pending withdrawal
          example: '2'
        bonded_amount:
          type: string
          description: >-
            Amount that is currently locked due to bonding/staking, potentially
            subject to an unbonding period, in whole units
          example: '109.42'
        reserved_amount:
          type: string
          description: >-
            Amount that must remain in the wallet due to the protocol, in whole
            units
          example: '109.42'
        unbonding_amount:
          type: string
          description: Amount that is in the process of unbonding, in whole units
          example: '109.42'
        unvested_amount:
          type: string
          description: Unrealized amount subject to a vesting schedule, in whole units
          example: '109.42'
        pending_rewards_amount:
          type: string
          description: >-
            Pending bonding/staking rewards that have not yet been realized, in
            whole units
          example: '109.42'
        past_rewards_amount:
          type: string
          description: Previously realized bonding/staking rewards, in whole units
          example: '109.42'
        bondable_amount:
          type: string
          description: Amount available for bonding/staking, in whole units
          example: '109.42'
        withdrawable_amount:
          type: string
          description: Amount available to withdraw, in whole units
          example: '109.42'
        fiat_amount:
          type: string
          description: The total amount in fiat unit
          example: '109.42'
        unbondable_amount:
          type: string
          description: Amount available for unbonding/unstaking, in whole units
          example: '109.42'
        claimable_rewards_amount:
          type: string
          description: >-
            ETH staking rewards currently available to claim, in whole units.
            This field is returned only in GetWalletBalance responses for ETH
            wallets. It is omitted or empty for portfolio-level responses and
            for non-ETH assets; use pending_rewards_amount where applicable.
          example: '0.241437903'

````